import { test, expect } from '@playwright/test';
import * as workflowUtil from 'im-workflow-util';

const TARGET_FLOW_ID = 'cb_235699_flow';
const APPLY_USER_CD = 'aoyagi';

test('test', async ({ page }) => {

  // システム案件IDの取得
  const systemMatterId = await workflowUtil.getSystemMatterIdFromActive(TARGET_FLOW_ID, APPLY_USER_CD);

  // 承認画面へ遷移
  const approvePageUrl = 'im_workflow/user/process/process_direct/' + systemMatterId;
  await page.goto(approvePageUrl);

  // ダウンロード処理のテスト
  await page.getByText('請求書.png (53.5KB)').waitFor();
  const downloadPromise = page.waitForEvent('download');
  await page.getByRole('img', { name: 'ダウンロード' }).click();
  const download = await downloadPromise;
  await download.saveAs(download.suggestedFilename());

  await page.getByRole('button', { name: '処理' }).click();
  await page.getByRole('button', { name: '承認' }).click();
  await page.getByRole('button', { name: 'はい' }).click();

  // 未処理一覧画面に遷移することを確認
  await page.getByRole('heading', { name: '案件一覧 - 未処理 -' }).waitFor();

  // 案件状態が完了済みかチェック
  expect(await workflowUtil.getStatusInfo(systemMatterId)).toBe('1');

});