import { test, expect } from '@playwright/test';
import * as workflowUtil from 'im-workflow-util';

const TARGET_FLOW_ID = 'cb_235699_flow'
const APPLY_USER_CD = 'aoyagi';

test('test', async ({ page }) => {

  // 申請画面へ遷移
  await page.goto('im_workflow/user/apply/apply_direct/' + TARGET_FLOW_ID);

  // 申請内容を記載
  await page.locator('#im-element-47').click();
  await page.locator('#im-element-47').fill('PC');
  await page.locator('#im-element-47').click();
  await page.locator('#im-element-47').press('Tab');
  await page.locator('#im-element-60').click();
  await page.locator('#im-element-60').fill('1');
  await page.locator('#im-element-73').click();
  await page.locator('#im-element-73').fill('100000');
  await page.locator('#im-element-86').click();
  await page.locator('#im-element-86').fill('新入社員用のPC購入です。');
  await page.locator('input[type="file"]').setInputFiles('請求書.png');
  await page.getByText('請求書.png (53.5KB)').waitFor();

  // 申請ボタンを押下
  await page.getByRole('button', { name: '申請' }).click();

  // 処理モーダルに案件名の記入と申請
  await page.locator('#im-wf-inputs-flex-item-basic-information input[type="text"]').click();
  await page.locator('#im-wf-inputs-flex-item-basic-information input[type="text"]').fill('新人社員用のPC購入申請');
  await page.locator('#im-workflow-apply-modal').getByRole('button', { name: '申請' }).click();
  await page.getByRole('button', { name: 'はい' }).click();

  // 申請一覧画面に遷移することを確認
  await page.getByRole('heading', { name: '申請一覧' }).waitFor();

  // システム案件IDの取得
  const systemMatterId = await workflowUtil.getSystemMatterIdFromActive(TARGET_FLOW_ID, APPLY_USER_CD);

  // 案件のステータスを確認する。
  const matterStatus = await workflowUtil.getStatusInfo(systemMatterId);
  expect(matterStatus).toBe('0');

});